IntelLinux64CCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.intel.IntelLinux64CCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.intel
Class IntelLinux64CCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
                      net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler
                          net.sf.antcontrib.cpptasks.intel.IntelLinux64CCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, Processor

    public final class IntelLinux64CCompiler

extends GccCompatibleCCompiler

Adapter for the Intel (r) C/C++ compiler for IA-64 Linux (r) The Intel C/C++ compiler for IA-64 Linux mimics the command options for gcc compiler.

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`Processor` | `changeEnvironment(boolean newEnvironment, org.apache.tools.ant.types.Environment env)`
`static IntelLinux64CCompiler` | `getInstance()`
`Linker` | `getLinker(LinkType type)` Gets the linker that is associated with this processors
`int` | `getMaximumCommandLength()`

Methods inherited from class net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler
`addImpliedArgs, addIncludePath, addWarningSwitch, getDefineSwitch, getEnvironmentIncludePath, getIncludeDirSwitch, getUndefineSwitch`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
`createParser`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getIdentifier, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid`

Method Detail

### getInstance

    public static IntelLinux64CCompiler getInstance()

### changeEnvironment

    public Processor changeEnvironment(boolean newEnvironment,
                                       org.apache.tools.ant.types.Environment env)

  Specified by:
    `changeEnvironment` in interface `Processor`
  Overrides:
    `changeEnvironment` in class `AbstractProcessor`

### getLinker

    public Linker getLinker(LinkType type)

  Description copied from interface: `Processor`
  Gets the linker that is associated with this processors

### getMaximumCommandLength

    public int getMaximumCommandLength()

  Specified by:
    `getMaximumCommandLength` in class `CommandLineCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.